# Webhook Deliveries ## List webhook deliveries `$ cadenya agents:webhook-deliveries list` **get** `/v1/agents/{agentId}/webhook_deliveries` Lists all webhook deliveries for an agent ### Parameters - `--agent-id: string` - `--cursor: optional string` Pagination cursor from previous response - `--event-type: optional "OBJECTIVE_EVENT_TYPE_UNSPECIFIED" or "OBJECTIVE_EVENT_TYPE_USER_MESSAGE" or "OBJECTIVE_EVENT_TYPE_TOOL_APPROVAL_REQUESTED" or 9 more` Optional filter by event type - `--limit: optional number` Maximum number of results to return - `--objective-id: optional string` Optional filter by objective ID ### Returns - `ListAgentWebhookDeliveriesResponse: object { items, pagination }` - `items: optional array of WebhookDelivery` - `data: object { agentId, attemptCount, eventType, 11 more }` Webhook delivery data - `agentId: string` Related resources - `attemptCount: number` - `eventType: "OBJECTIVE_EVENT_TYPE_UNSPECIFIED" or "OBJECTIVE_EVENT_TYPE_USER_MESSAGE" or "OBJECTIVE_EVENT_TYPE_TOOL_APPROVAL_REQUESTED" or 9 more` The type of objective event that triggered this webhook delivery - `"OBJECTIVE_EVENT_TYPE_UNSPECIFIED"` - `"OBJECTIVE_EVENT_TYPE_USER_MESSAGE"` - `"OBJECTIVE_EVENT_TYPE_TOOL_APPROVAL_REQUESTED"` - `"OBJECTIVE_EVENT_TYPE_TOOL_APPROVED"` - `"OBJECTIVE_EVENT_TYPE_TOOL_DENIED"` - `"OBJECTIVE_EVENT_TYPE_TOOL_CALLED"` - `"OBJECTIVE_EVENT_TYPE_SUB_OBJECTIVE_CREATED"` - `"OBJECTIVE_EVENT_TYPE_ERROR"` - `"OBJECTIVE_EVENT_TYPE_ASSISTANT_MESSAGE"` - `"OBJECTIVE_EVENT_TYPE_TOOL_RESULT"` - `"OBJECTIVE_EVENT_TYPE_TOOL_ERROR"` - `"OBJECTIVE_EVENT_TYPE_CONTEXT_WINDOW_COMPACTED"` - `httpStatusCode: number` Response details (no response_body to avoid storing large payloads) - `lastAttemptAt: string` - `latencyMs: number` - `objectiveEventId: string` - `objectiveId: string` - `responseContentLength: string` Content length of the response body in bytes - `status: "WEBHOOK_DELIVERY_STATUS_UNSPECIFIED" or "WEBHOOK_DELIVERY_STATUS_PENDING" or "WEBHOOK_DELIVERY_STATUS_COMPLETED" or 2 more` - `"WEBHOOK_DELIVERY_STATUS_UNSPECIFIED"` - `"WEBHOOK_DELIVERY_STATUS_PENDING"` - `"WEBHOOK_DELIVERY_STATUS_COMPLETED"` - `"WEBHOOK_DELIVERY_STATUS_FAILED"` - `"WEBHOOK_DELIVERY_STATUS_DISABLED"` - `webhookId: string` - `webhookUrl: string` Webhook delivery details - `errorMessage: optional string` - `responseHeaders: optional map[string]` Response headers received from the webhook endpoint - `metadata: object { id, accountId, createdAt, 4 more }` Metadata for ephemeral operations and activities (e.g., objectives, executions, runs) - `id: string` Unique identifier for the operation (prefixed ULID, e.g., "obj_01HXK...") - `accountId: string` Account this operation belongs to for multi-tenant isolation (prefixed ULID) - `createdAt: string` Timestamp when this operation was created ULID includes timestamp information, but this explicit field enables easier querying - `profileId: string` ID of the actor (user or service account) that created this operation - `workspaceId: string` Workspace this operation belongs to for organizational grouping (prefixed ULID) - `externalId: optional string` External ID for the operation (e.g., a workflow ID from an external system) - `labels: optional map[string]` Arbitrary key-value pairs for categorization and filtering Examples: {"priority": "high", "source": "api", "workflow": "onboarding"} - `pagination: optional object { nextCursor, total }` - `nextCursor: optional string` - `total: optional number` ### Example ```cli cadenya agents:webhook-deliveries list \ --api-key 'My API Key' \ --agent-id agentId ``` #### Response ```json { "items": [ { "data": { "agentId": "agentId", "attemptCount": 0, "eventType": "OBJECTIVE_EVENT_TYPE_UNSPECIFIED", "httpStatusCode": 0, "lastAttemptAt": "2019-12-27T18:11:19.117Z", "latencyMs": 0, "objectiveEventId": "objectiveEventId", "objectiveId": "objectiveId", "responseContentLength": "responseContentLength", "status": "WEBHOOK_DELIVERY_STATUS_UNSPECIFIED", "webhookId": "webhookId", "webhookUrl": "webhookUrl", "errorMessage": "errorMessage", "responseHeaders": { "foo": "string" } }, "metadata": { "id": "id", "accountId": "accountId", "createdAt": "2019-12-27T18:11:19.117Z", "profileId": "profileId", "workspaceId": "workspaceId", "externalId": "externalId", "labels": { "foo": "string" } } } ], "pagination": { "nextCursor": "nextCursor", "total": 0 } } ``` ## Domain Types ### Webhook Delivery - `webhook_delivery: object { data, metadata }` - `data: object { agentId, attemptCount, eventType, 11 more }` Webhook delivery data - `agentId: string` Related resources - `attemptCount: number` - `eventType: "OBJECTIVE_EVENT_TYPE_UNSPECIFIED" or "OBJECTIVE_EVENT_TYPE_USER_MESSAGE" or "OBJECTIVE_EVENT_TYPE_TOOL_APPROVAL_REQUESTED" or 9 more` The type of objective event that triggered this webhook delivery - `"OBJECTIVE_EVENT_TYPE_UNSPECIFIED"` - `"OBJECTIVE_EVENT_TYPE_USER_MESSAGE"` - `"OBJECTIVE_EVENT_TYPE_TOOL_APPROVAL_REQUESTED"` - `"OBJECTIVE_EVENT_TYPE_TOOL_APPROVED"` - `"OBJECTIVE_EVENT_TYPE_TOOL_DENIED"` - `"OBJECTIVE_EVENT_TYPE_TOOL_CALLED"` - `"OBJECTIVE_EVENT_TYPE_SUB_OBJECTIVE_CREATED"` - `"OBJECTIVE_EVENT_TYPE_ERROR"` - `"OBJECTIVE_EVENT_TYPE_ASSISTANT_MESSAGE"` - `"OBJECTIVE_EVENT_TYPE_TOOL_RESULT"` - `"OBJECTIVE_EVENT_TYPE_TOOL_ERROR"` - `"OBJECTIVE_EVENT_TYPE_CONTEXT_WINDOW_COMPACTED"` - `httpStatusCode: number` Response details (no response_body to avoid storing large payloads) - `lastAttemptAt: string` - `latencyMs: number` - `objectiveEventId: string` - `objectiveId: string` - `responseContentLength: string` Content length of the response body in bytes - `status: "WEBHOOK_DELIVERY_STATUS_UNSPECIFIED" or "WEBHOOK_DELIVERY_STATUS_PENDING" or "WEBHOOK_DELIVERY_STATUS_COMPLETED" or 2 more` - `"WEBHOOK_DELIVERY_STATUS_UNSPECIFIED"` - `"WEBHOOK_DELIVERY_STATUS_PENDING"` - `"WEBHOOK_DELIVERY_STATUS_COMPLETED"` - `"WEBHOOK_DELIVERY_STATUS_FAILED"` - `"WEBHOOK_DELIVERY_STATUS_DISABLED"` - `webhookId: string` - `webhookUrl: string` Webhook delivery details - `errorMessage: optional string` - `responseHeaders: optional map[string]` Response headers received from the webhook endpoint - `metadata: object { id, accountId, createdAt, 4 more }` Metadata for ephemeral operations and activities (e.g., objectives, executions, runs) - `id: string` Unique identifier for the operation (prefixed ULID, e.g., "obj_01HXK...") - `accountId: string` Account this operation belongs to for multi-tenant isolation (prefixed ULID) - `createdAt: string` Timestamp when this operation was created ULID includes timestamp information, but this explicit field enables easier querying - `profileId: string` ID of the actor (user or service account) that created this operation - `workspaceId: string` Workspace this operation belongs to for organizational grouping (prefixed ULID) - `externalId: optional string` External ID for the operation (e.g., a workflow ID from an external system) - `labels: optional map[string]` Arbitrary key-value pairs for categorization and filtering Examples: {"priority": "high", "source": "api", "workflow": "onboarding"} ### Webhook Delivery Data - `webhook_delivery_data: object { agentId, attemptCount, eventType, 11 more }` - `agentId: string` Related resources - `attemptCount: number` - `eventType: "OBJECTIVE_EVENT_TYPE_UNSPECIFIED" or "OBJECTIVE_EVENT_TYPE_USER_MESSAGE" or "OBJECTIVE_EVENT_TYPE_TOOL_APPROVAL_REQUESTED" or 9 more` The type of objective event that triggered this webhook delivery - `"OBJECTIVE_EVENT_TYPE_UNSPECIFIED"` - `"OBJECTIVE_EVENT_TYPE_USER_MESSAGE"` - `"OBJECTIVE_EVENT_TYPE_TOOL_APPROVAL_REQUESTED"` - `"OBJECTIVE_EVENT_TYPE_TOOL_APPROVED"` - `"OBJECTIVE_EVENT_TYPE_TOOL_DENIED"` - `"OBJECTIVE_EVENT_TYPE_TOOL_CALLED"` - `"OBJECTIVE_EVENT_TYPE_SUB_OBJECTIVE_CREATED"` - `"OBJECTIVE_EVENT_TYPE_ERROR"` - `"OBJECTIVE_EVENT_TYPE_ASSISTANT_MESSAGE"` - `"OBJECTIVE_EVENT_TYPE_TOOL_RESULT"` - `"OBJECTIVE_EVENT_TYPE_TOOL_ERROR"` - `"OBJECTIVE_EVENT_TYPE_CONTEXT_WINDOW_COMPACTED"` - `httpStatusCode: number` Response details (no response_body to avoid storing large payloads) - `lastAttemptAt: string` - `latencyMs: number` - `objectiveEventId: string` - `objectiveId: string` - `responseContentLength: string` Content length of the response body in bytes - `status: "WEBHOOK_DELIVERY_STATUS_UNSPECIFIED" or "WEBHOOK_DELIVERY_STATUS_PENDING" or "WEBHOOK_DELIVERY_STATUS_COMPLETED" or 2 more` - `"WEBHOOK_DELIVERY_STATUS_UNSPECIFIED"` - `"WEBHOOK_DELIVERY_STATUS_PENDING"` - `"WEBHOOK_DELIVERY_STATUS_COMPLETED"` - `"WEBHOOK_DELIVERY_STATUS_FAILED"` - `"WEBHOOK_DELIVERY_STATUS_DISABLED"` - `webhookId: string` - `webhookUrl: string` Webhook delivery details - `errorMessage: optional string` - `responseHeaders: optional map[string]` Response headers received from the webhook endpoint